  <!DOCTYPE html>
<html>
<head>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<meta name="viewport" content="width=device-width, initial-scale=1">
<style>
body {
  font-family: "Lato", sans-serif;
  background-color: green;
}

.sidenav {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #111;
  overflow-x: hidden;
  transition: 0.5s;
  padding-top: 60px;
}

.sidenav a {
  padding: 8px 8px 8px 32px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
  transition: 0.3s;
}

.sidenav a:hover {
  color: #f1f1f1;
}

.sidenav .closebtn {
  position: absolute;
  top: 0;
  right: 25px;
  font-size: 36px;
  margin-left: 50px;
}

h1 {
    background-color: lightgreen;
    border: 2px solid black;
    border-radius: 6px;
    position: fixed;
    left: 50px;
    top: -15px;
}

@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}

button {
    position: fixed;
    top: 400px;
    left: 680px;
    background-color: lightgreen;
    font-size: 200%;
}


.blocker {
    background-color: gray;
    position: fixed;
     top: 400px;
    left: 680px;
}
</style>
</head>
<body>

<div id="mySidenav" class="sidenav">
  <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
  <a href="home-page.html">Home</a>
  <a href="./Proxy-Links.html">Proxy links</a>
  <a href="./Games.html">Games</a>
  <a href="#">Download</a>
  <a href="#">Github</a>
</div>


<span style="font-size:30px;cursor:pointer" onclick="openNav()">&#9776;</span>
<h1>Interstellar Links</h1>
<button onclick='biglinkrandom()' class="blocker" style="blocker">open random interstellar link</button>
<h2 id="hi">txex</h2>
  
</body>


<script>

function openNav() {
  document.getElementById("mySidenav").style.width = "250px";
}

function closeNav() {
  document.getElementById("mySidenav").style.width = "0";
}

function biglinkrandom() {
  var x = Math.floor((Math.random() * 6) + 1);
  document.getElementById("hi").innerHTML = "Link Id:" + x
      if (x = 1) {
      window.open("http://interstellarnetwork.tk/")
  } else if (x = 2) {
      window.open = "https://dfasfasdfanotherlinkyippee.onrender.com"
  } else if (x = 3) {
      window.open = "https://asfasdbyufadgsfvgyuaksbgfvkasdgfvyasdgku.onrender.com"
  } else if (x = 4) {
      window.open = "https://john-pork-kills-me.onrender.com"
  } else if (x = 5) {
      window.open = "https://john-pork-iscallin2.onrender.com"
  } else if (x = 6) {
      window.open = "https://john-pork-iscallin3.onrender.com"
  }
}

</script>
   
</body>
</html> 

